package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 协议模板类型枚举
 */
public enum ContractTypeEnum implements BaseEnum<String, ContractTypeEnum> {

    REGISTER("注册"),
    COURSES("课程购买"),
    PRODUCT("产品"),
    WITHDRAW("用户提现")
    ;

    @EnumValue
    private String code;

    private String desc;

    ContractTypeEnum(String desc) {
        this.code = this.name();
        this.desc = desc;
    }

    @Override
    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}