package com.yonge.cooleshow.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yonge.cooleshow.biz.dal.entity.SysUserContractRecord;
import com.yonge.cooleshow.biz.dal.enums.ContractTypeEnum;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 用户协议记录表-一个用户一种协议一个版本一条记录(SysUserContractRecord)表数据库访问层
 *
 * @author hgw
 * @since 2022-05-07 15:04:05
 */
public interface SysUserContractRecordDao extends BaseMapper<SysUserContractRecord> {

    int insertBatch(@Param("entities") List<SysUserContractRecord> entities);

    Boolean checkContractSign(@Param("userId") Long userId, @Param("contractType") String contractType);

    void contractCallbackUpdate(@Param("status") String status,
                                @Param("serialNo") String serialNo,
                                @Param("url") String url,
                                @Param("errMsg") String errMsg);
}

