package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.dao.SysUserContractRecordDao;
import com.yonge.cooleshow.biz.dal.entity.SysUserContractRecord;
import com.yonge.cooleshow.biz.dal.enums.ContractTypeEnum;
import com.yonge.cooleshow.common.entity.HttpResponseResult;

/**
 * 用户协议记录表-一个用户一种协议一个版本一条记录(SysUserContractRecord)表服务接口
 *
 * @author hgw
 * @since 2022-05-07 15:04:06
 */
public interface SysUserContractRecordService extends IService<SysUserContractRecord> {

    SysUserContractRecordDao getDao();

    /**
     * 查询用户是否签署协议
     * @param userId
     * @param contractType
     * @return
     */
    HttpResponseResult<Boolean> checkContractSign(Long userId, ContractTypeEnum contractType);
}

