package com.yonge.cooleshow.biz.dal.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yonge.cooleshow.biz.dal.dao.TeacherAttendanceDao;
import com.yonge.cooleshow.biz.dal.entity.TeacherAttendance;
import com.yonge.cooleshow.biz.dal.service.TeacherAttendanceService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

/**
 * 老师考勤表(TeacherAttendance)表服务实现类
 *
 * @author hgw
 * @since 2022-05-05 13:51:24
 */
@Service("teacherAttendanceService")
public class TeacherAttendanceServiceImpl extends ServiceImpl<TeacherAttendanceDao, TeacherAttendance> implements TeacherAttendanceService {

    private final static Logger log = LoggerFactory.getLogger(TeacherAttendanceServiceImpl.class);

    @Override
    public TeacherAttendanceDao getDao() {
        return this.baseMapper;
    }

}

